play.mvc

## Class Http.Inbound

- java.lang.Object
- - play.mvc.Http.Inbound

- Enclosing class:
    Http

      public abstract static class Http.Inbound
      extends java.lang.Object

  A Websocket Inbound channel

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.ThreadLocal<Http.Inbound>` | `current`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Inbound(org.jboss.netty.channel.ChannelHandlerContext ctx)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `_received(Http.WebSocketFrame frame)`
    `void` | `close()`
    `static Http.Inbound` | `current()`
    `abstract boolean` | `isOpen()`
    `F.Promise<Http.WebSocketEvent>` | `nextEvent()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### current

          public static final java.lang.ThreadLocal<Http.Inbound> current

  - ### Constructor Detail

    - #### Inbound

          public Inbound(org.jboss.netty.channel.ChannelHandlerContext ctx)

  - ### Method Detail

    - #### current

          public static Http.Inbound current()

    - #### _received

          public void _received(Http.WebSocketFrame frame)

    - #### nextEvent

          public F.Promise<Http.WebSocketEvent> nextEvent()

    - #### close

          public void close()

    - #### isOpen

          public abstract boolean isOpen()

Guillaume Bort & zenexity - Distributed under Apache 2 licence, without any warrantly